Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDBVTAVAILABLEMATERIALSvalues

    java.lang.Object
      java.lang.Enum<CDBVTAVAILABLEMATERIALSvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDBVTAVAILABLEMATERIALSvalues

All Implemented Interfaces:
  Serializable, Comparable<CDBVTAVAILABLEMATERIALSvalues>

    public enum CDBVTAVAILABLEMATERIALSvalues

extends Enum<CDBVTAVAILABLEMATERIALSvalues>

Java class for CD-BVT-AVAILABLEMATERIALSvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-BVT-AVAILABLEMATERIALSvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="cytology"/>
         <enumeration value="dna"/>
         <enumeration value="rna"/>
         <enumeration value="proteins"/>
         <enumeration value="correspondingnormaltissue"/>
         <enumeration value="tissue"/>
         <enumeration value="serum"/>
         <enumeration value="plasma"/>
         <enumeration value="blood"/>
         <enumeration value="urine"/>
         <enumeration value="other"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`BLOOD`
`CORRESPONDINGNORMALTISSUE`
`CYTOLOGY`
`DNA`
`OTHER`
`PLASMA`
`PROTEINS`
`RNA`
`SERUM`
`TISSUE`
`URINE`

Method Summary
`static CDBVTAVAILABLEMATERIALSvalues` | `fromValue(String v)`
`String` | `value()`
`static CDBVTAVAILABLEMATERIALSvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDBVTAVAILABLEMATERIALSvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CYTOLOGY

    public static final CDBVTAVAILABLEMATERIALSvalues CYTOLOGY

### DNA

    public static final CDBVTAVAILABLEMATERIALSvalues DNA

### RNA

    public static final CDBVTAVAILABLEMATERIALSvalues RNA

### PROTEINS

    public static final CDBVTAVAILABLEMATERIALSvalues PROTEINS

### CORRESPONDINGNORMALTISSUE

    public static final CDBVTAVAILABLEMATERIALSvalues CORRESPONDINGNORMALTISSUE

### TISSUE

    public static final CDBVTAVAILABLEMATERIALSvalues TISSUE

### SERUM

    public static final CDBVTAVAILABLEMATERIALSvalues SERUM

### PLASMA

    public static final CDBVTAVAILABLEMATERIALSvalues PLASMA

### BLOOD

    public static final CDBVTAVAILABLEMATERIALSvalues BLOOD

### URINE

    public static final CDBVTAVAILABLEMATERIALSvalues URINE

### OTHER

    public static final CDBVTAVAILABLEMATERIALSvalues OTHER

Method Detail

### values

    public static CDBVTAVAILABLEMATERIALSvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDBVTAVAILABLEMATERIALSvalues c : CDBVTAVAILABLEMATERIALSvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDBVTAVAILABLEMATERIALSvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDBVTAVAILABLEMATERIALSvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.